gr-baz Package

Classes | Functions | Variables
baz_tcp_sink.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/thread/thread.h>`
`#include <gnuradio/msg_queue.h>`
Include dependency graph for baz_tcp_sink.h:

Go to the source code of this file.

## Classes
class | baz_tcp_sink
| Write stream to an TCP socket. More...

## Functions
BAZ_API baz_tcp_sink_sptr | baz_make_tcp_sink (size_t itemsize, const char *host, unsigned short port, bool blocking=true, bool auto_reconnect=false, bool verbose=false)

## Variables
class BAZ_API | baz_tcp_sink

## Function Documentation

## ◆ baz_make_tcp_sink()

BAZ_API baz_tcp_sink_sptr baz_make_tcp_sink | ( | size_t | itemsize,
|  | const char * | host,
|  | unsigned short | port,
|  | bool | blocking = `true`,
|  | bool | auto_reconnect = `false`,
|  | bool | verbose = `false`
| ) |  |

## Variable Documentation

## ◆ baz_tcp_sink

class BAZ_API baz_tcp_sink